[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItemEnumerator.Create

Constructor for the class instance.

## Declaration

Source position: menus.pp line 106

`public constructor TMenuItemEnumerator.Create(`
`AMenuItem: TMenuItem`
`);`

## Arguments

`AMenuItem` |  | Menu item with the child menu items accessed in the class instance.

## Description

Create is the constructor for the class instance. Create stores the menu item in the AMenuItem argument to an internal member, and sets the internal position for the enumerator to -1.

Use MoveNext to advance to the first and subsequent child menu items for the enumerator. Use Current to retrieve the TMenuItem instance at the current position for the enumerator.

## See also

TMenuItemEnumerator.MoveNext |  | Moves to the next position for the enumerator.
TMenuItemEnumerator.Current |  | Contains the TMenuItem instance at the current position for the enumerator.
TMenuItem.Items |  | Provides indexed access to the child menu items for the current class instance.